// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic','starter.controllers','starter.services','ionic-datepicker','ngCordova'])

    .run(function($ionicPlatform,$rootScope,$http,$state) {
        $ionicPlatform.ready(function() {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);

            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }

            $ionicPlatform.registerBackButtonAction(function (event) {
                if($state.current.name=="app.homepage"){
                    navigator.app.exitApp(); //<-- remove this line to disable the exit
                }
                else {
                    navigator.app.backHistory();
                }
            }, 100);
        });
    })

    .config(function($stateProvider, $urlRouterProvider) {
        $stateProvider


            .state('app', {
                url: '/app',
                abstract: true,
                templateUrl: 'templates/menu.html',

                controller: 'AppCtrl'
            })

            .state('app.homepage', {
                cache: false,
                url: '/homepage',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/homepage.html',
                        controller: 'homepage1Ctrl'
                    }
                }
            })

            .state('app.innermenu', {
                url: '/innermenu/:id',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/innermenu.html',
                        controller: 'innermenuCtrl'
                    }
                }
            })

            .state('app.account', {
                url: '/account',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/account.html',
                        controller: 'accountCtrl'
                    }
                }
            })
            .state('app.registration', {
                url: '/registration',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/registration.html',
                        controller: 'registrationCtrl'
                    }
                }
            })
            .state('app.cartdetail', {
                cache: false,
                url: '/cartdetail',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/cartdetail.html',
                        controller: 'cartdetailCtrl'
                    }
                }
            })
            .state('app.login', {
                url: '/login',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/login.html',
                        controller: 'loginCtrl'
                    }
                }
            })
            .state('app.help', {
                url: '/help',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/help.html',
                        controller: 'helpCtrl'
                    }
                }
            })
            .state('app.offers', {
                url: '/offers',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/offers.html',
                        controller: 'offersCtrl'
                    }
                }
            })
            .state('app.profile', {
                url: '/profile',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/profile.html',
                        controller: 'profileCtrl'
                    }
                }
            })
            .state('app.address', {
                url: '/address/:id',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/address.html',
                        controller: 'addressCtrl'
                    }
                }
            })
            .state('app.payment', {
                url: '/payment',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/payment.html',
                        controller: 'paymentCtrl'
                    }
                }
            })
            .state('app.orders', {
                cache: false,
                url: '/orders',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/orders.html',
                        controller: 'ordersCtrl'
                    }
                }
            })
            .state('app.booktable', {
                url: '/booktable',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/booktable.html',
                        controller: 'booktableCtrl'
                    }
                }
            })
            .state('app.orderdetail', {
                url: '/orderdetail/:id',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/orderdetail.html',
                        controller: 'orderdetailCtrl'
                    }
                }
            })
            .state('app.changepassword', {
                url: '/changepassword/:id',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/changepassword.html',
                        controller: 'changepasswordCtrl'
                    }
                }
            })
            .state('app.otp', {
                url: '/otp/:id',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/otp.html',
                        controller: 'otpCtrl'
                    }
                }
            })
            .state('app.promotion_code', {
                url: '/promotion_code',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/promotion_code.html',
                        controller: 'promotion_codeCtrl'
                    }
                }
            })




        // if none of the above states are matched, use this as the fallback
        //$urlRouterProvider.otherwise('/app/homepage');
        $urlRouterProvider.otherwise('/app/homepage');

    })
    .config(function( $ionicConfigProvider) {
        $ionicConfigProvider.navBar.alignTitle('center');
        $ionicConfigProvider.views.maxCache(0);
    });